.top_title{
    color: var(--gray-green);
}
.top-tag-list{
    margin: 24px 0 0 0;
    display: flex;
    flex-wrap: wrap;
    gap: 16px;
}
.top-tag{
    display: grid;
    grid-template-columns: 12px 1fr;
    align-items: center;
    gap: 8px;
    font-size: 14px;
    text-transform: uppercase;
    font-weight: 700;
    color: var(--gray-green);
    background: var(--lightest-green);
    border: none;
    padding: 8px 10px;
    & :where(img, svg){
        width: 100%;
        height: auto;
        object-fit: contain;
    }
    path{
        fill: var(--light-green);
    }
}
.top-tag:hover, .top-tag.active{
    background: var(--gray-green);
    color: white;
    path{
        fill: white;
    }
}
.top-tag_txt{
    white-space: nowrap;
    text-overflow: ellipsis;
    overflow: hidden;
    width: 100%;
}
.article-list{
    margin: 40px 0 0 0;
    .container{
        display: grid;
        grid-template-columns: 1fr 1fr 1fr;
        column-gap: 16px;
        row-gap: 56px;
    }
}
.pagination{
    margin: 80px 0 0 0;
}
@media (max-width: 1024px) {
    .top-tag-list{
        gap: 12px;
    }
    .article-list .container{
        grid-template-columns: repeat(auto-fill, minmax(330px, 1fr));
        row-gap: 32px;
    }
}